<!DOCTYPE html>
<html>
<head>

<meta charset="utf-8" />
<title>Ejercicio 11 Detecta el Caracter introducido</title>

<style type="text/css">

#info {
    width:160px; 
    border:5px solid aquamarine; 
    padding:10px; 
    height: 100px;
}
#info h1 {
    margin: 0;
    }

</style>
</head>
<body>

<div id="info">Introduce un Caracter</div>

<script type="text/javascript">
    function informacion(elEvento) {
      var evento = elEvento;
    
          var caracter = evento.charCode;
          var letra = String.fromCharCode(caracter);
          var codigo = letra.charCodeAt(0);
          muestraInformacion(['Teclado', 'Carácter ['+letra+']']);
    }  
    
     function muestraInformacion(mensaje) {
      document.getElementById("info").innerHTML = '<h1>'+mensaje[0]+'</h1>';
      for(var i=1; i<mensaje.length; i++) {
        document.getElementById("info").innerHTML += '<p>'+mensaje[i]+'</p>';
      }
    } 
    
    document.onkeypress = informacion; 
    
    </script>

</body>
</html>